com.holonplatform.vaadin7.components.builders

## Interface BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>

- Type Parameters:
    `T` - Field type
    `ITEM` - Item type
    `B` - Concrete builder type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<B>, BaseSelectInputBuilder<T,SingleSelect<T>,T,ITEM,B>, ComponentConfigurator<B>, InputBuilder<T,SingleSelect<T>,B>, InputConfigurator<T,B>
  All Known Subinterfaces:
    SinglePropertySelectInputBuilder<T>, SingleSelectInputBuilder<T>
  Enclosing interface:
    BaseSelectInputBuilder<T,C extends Input<T>,S,ITEM,B extends BaseSelectInputBuilder<T,C,S,ITEM,B>>

      public static interface BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>
      extends BaseSelectInputBuilder<T,SingleSelect<T>,T,ITEM,B>

  Single select component configurator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `disableTextInput()` Disables the possibility to input text into the field, so the field area of the component is just used to show what is selected.
    `B` | `filteringMode(com.vaadin.shared.ui.combobox.FilteringMode filteringMode)` Sets the option filtering mode.
    `B` | `scrollToSelectedItem(boolean scrollToSelectedItem)` Sets whether to scroll the selected item visible (directly open the page on which it is) when opening the combo box popup or not.
    `B` | `suggestionPopupWidth(String width)` Sets the suggestion pop-up's width as a CSS string.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

- - ### Method Detail

    - #### disableTextInput

          B disableTextInput()

      Disables the possibility to input text into the field, so the field area of the component is just used to show what is selected. If the concrete select component does not support user input, this method has no effect.
      Returns:
        this

    - #### scrollToSelectedItem

          B scrollToSelectedItem(boolean scrollToSelectedItem)

      Sets whether to scroll the selected item visible (directly open the page on which it is) when opening the combo box popup or not. Only applies to select components with a suggestions popup. This requires finding the index of the item, which can be expensive in many large lazy loading containers.
      Parameters:
        `scrollToSelectedItem` - true to find the page with the selected item when opening the selection popup
      Returns:
        this

    - #### suggestionPopupWidth

          B suggestionPopupWidth(String width)

      Sets the suggestion pop-up's width as a CSS string. By using relative units (e.g. "50%") it's possible to set the popup's width relative to the selection component itself.

      Only applies to select field with backing components supporting a suggestion popup.

      Parameters:
        `width` - the suggestion pop-up width
      Returns:
        this

    - #### filteringMode

          B filteringMode(com.vaadin.shared.ui.combobox.FilteringMode filteringMode)

      Sets the option filtering mode.

      Only applies to select field with backing components supporting a suggestion popup.

      Parameters:
        `filteringMode` - the filtering mode to use
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.